# Readme

## Setup Preconditions

Create Namespace and API Key Secret
(This should already be done if you follow the blog article https://configseeder.com/2019/12/setup-k8s-connector-with-helm-part-2/)

Otherwise, execute the following steps:

1. `kubectl create ns application1-test`
1. Create an API Key with access to the Configuration Group `Application 1` and Environment Test
1. `kubectl create secret generic -n application1-test kubernetes-connector-apikey --from-file=apiKey=apiKey-test.txt`  
1. `kubectl create ns application1-prod`
1. Create an API Key with access to the Configuration Group `Application 1` and Environment Prod  
1. `kubectl create secret generic -n application1-prod kubernetes-connector-apikey --from-file=apiKey=apiKey-prod.txt`  

Either way, you have to create a ServiceAccount and RBAC-Rules for the Kubernetes Connector:

```
kubectl create -n application1-test sa kubernetes-connector
kubectl create -n application1-prod sa kubernetes-connector
kubectl apply -n application1-test -f resources/rbac-objects-and-state.yaml
kubectl apply -n application1-test -f resources/rbac-objects-and-state.yaml
```

## Deploy the Alpine example

The following example has to be executed in the examples folder:

```
helm install -n application1-test -f alpine-example-with-kubernetes-connector-hook-test.yaml application1 alpine-example-with-kubernetes-connector-hook
helm install -n application1-prod -f alpine-example-with-kubernetes-connector-hook-prod.yaml application1 alpine-example-with-kubernetes-connector-hook
```

## Undeploy the Alpine Example

```
helm uninstall -n application1-test application1
helm uninstall -n application1-prod application1
```
